summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJonas Smedegaard <dr@jones.dk>2017-04-05 04:02:22 +0200
committerJonas Smedegaard <dr@jones.dk>2017-04-05 04:02:22 +0200
commit31b4bde179a3c6368cb2c186426efae41460ede3 (patch)
tree9d9302169550744816200c9522da67d760080f7d
Add source and streaming script for pause loop.
-rwxr-xr-xbin/stream.sh19
-rw-r--r--src/omni/show0/Earth - 5070.mp4bin0 -> 5406974 bytes
l---------src/omni/show0/earth.mp41
3 files changed, 20 insertions, 0 deletions
diff --git a/bin/stream.sh b/bin/stream.sh
new file mode 100755
index 0000000..e6a0c40
--- /dev/null
+++ b/bin/stream.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+target_host=morla
+target_ip=$(host "$target_host" | grep -Po 'address \K\S+' || echo 127.0.0.1)
+
+# based on http://video.stackexchange.com/a/16933
+# + codec options from http://www.webmproject.org/docs/encoder-parameters/
+# example "Real-time CBR Encoding and Streaming"
+# (bufsize = 6000 * 500k / 1000)
+# (rc_init_occupancy = 4000 * 500k / 1000)
+ffmpeg -threads auto -re \
+ -f lavfi -i "movie=filename=../src/omni/show0/earth.mp4:loop=0, setpts=N/(FRAME_RATE*TB), scale=640x360" \
+ -i ../../content/icon_small.png -filter_complex 'overlay=main_w-overlay_w-20:main_h-overlay_h-20' \
+ -codec:v vp8 -quality realtime -deadline realtime -cpu-used 4 \
+ -b:v 500k -minrate 500k -maxrate 500k \
+ -undershoot-pct 95 -bufsize 3M -rc_init_occupancy 2M \
+ -max-intra-rate 0 \
+ -qmin 4 -qmax 56 \
+ -an -f rtp rtp://$target_ip:5012?pkt_size=1200
diff --git a/src/omni/show0/Earth - 5070.mp4 b/src/omni/show0/Earth - 5070.mp4
new file mode 100644
index 0000000..660e6c9
--- /dev/null
+++ b/src/omni/show0/Earth - 5070.mp4
Binary files differ
diff --git a/src/omni/show0/earth.mp4 b/src/omni/show0/earth.mp4
new file mode 120000
index 0000000..4b2d0e2
--- /dev/null
+++ b/src/omni/show0/earth.mp4
@@ -0,0 +1 @@
+Earth - 5070.mp4 \ No newline at end of file